// Alle Firefox Parameter im Überblick:
// URL: https://wiki.mozilla.org/Main_Page
// URL: https://support.mozilla.org/de/
// URL: https://support.mozilla.org/en-US/

// Bezahlte Werbeeinblendungen auf der NewTab Seite deaktivieren (wichtig):
user_pref("browser.newtabpage.activity-stream.showSponsored",false);
user_pref("browser.newtabpage.activity-stream.showSponsoredTopSites",false);

// Mozillas Werbung für VPNs deaktivieren:
// Wenn Firefox im Private Browsing Mode über einen öffentlichen Wi-Fi Accesspoint surft, wird man mit Werbung für das Mozilla VPN belästigt.
// Dies kann man hiermit deaktivieren:
user_pref("browser.vpn_promo.enabled", false);

// Spekulatives Laden von Webseiten deaktivieren:
// Firefox beginnt in einigen Situationen bereits mit dem Laden von Webseiten, wenn sich der Maus­zeiger über einem Link befindet, also bevor man wirklich klickt. 
// Damit soll das Laden von Webseiten einige Millisekunden beschleunigt werden. Wenn man Verbindungen mit unerwünschten Servern vermeiden möchte, kann man es abschalten:
//    user_pref("network.http.speculative-parallel-limit", 0);
//    Standardwert: 6

// Übertragung von Telemetriedaten für Mozilla an die Entwickler/Hersteller komplett deaktivieren (globaler Kill-Switch):
user_pref("datareporting.policy.dataSubmissionEnabled", false);
// Nicht gesesendete Absturzberichte automatisch von Firefox senden lassen, deaktivieren:
user_pref("datareporting.healthreport.uploadEnabled", false);
// Firefox das Installieren und Durchführen von Studien erlauben, deaktivieren:
user_pref("app.shield.optoutstudies.enabled", false);

// während des Surfens das empfehlen von Addons deaktivieren:
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.addons", false);
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.features", false);

// HTTPS-First-Mode bei einer verkürzten URL wird zuerst die HTTPS Seite versucht und bei einem Fehler automatisch auf die HTTP Version gewechselt (etwas erhöhte Sicherheit):
user_pref("dom.security.https_first", true);

// Mozilla Firefox NewTab Shorts Favoriten festlegen:
user_pref("browser.newtabpage.pinned","[{\"url\":\"https://www.ctaas.de\",\"label\":\"START\"},{\"url\":\"https://www.google.de/\",\"label\":\"Google\"},{\"url\":\"https://www.amazon.de/?tag=cta-21\",\"label\":\"Amazon\"},{\"url\":\"https://www.youtube.com/\",\"label\":\"YouTube\"},{\"url\":\"https://translate.google.de/\",\"label\":\"Übersetzer\"},{\"url\":\"https://www.bing.com/?cc=de\",\"label\":\"Bing\"},{\"url\":\"http://kahla.de/cs/\",\"label\":\"Kahla\"}]");

// zwei Zeilen für Shortcuts/Favoriten im neuen Tab festlegen (1-4):
user_pref("browser.newtabpage.activity-stream.topSitesRows", 2);

// Neuste Aktivität (Auswahl kürzlicher Websites und Inhalte) im neuen Tab am Ende (1-4):
user_pref("browser.newtabpage.activity-stream.section.highlights.rows", 4);